classification
Title: Document PEP 3118
Type: behavior Stage:
Components: Documentation Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: benjamin.peterson, georg.brandl, pitrou
Priority: normal Keywords:

Created on 2008-04-11 20:46 by benjamin.peterson, last changed 2008-10-20 21:15 by benjamin.peterson. This issue is now closed.

Messages (7)
msg65370 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-04-11 20:46
memoryview documentation is currently nonexistent.
msg67272 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-23 22:55
Upon further inspection, it seems none of the new buffer protocol is
documented. (The old functions are still present in the 3.0 docs.)
msg71457 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-19 18:23
As a reminder, I want to mention that PEP 3118 itself needs to be
updated (see #3560).
msg71737 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-22 09:53
Should this be a release blocker?
msg72928 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-09 22:16
I documented the memoryview object in r66357. If you're really nice to
me, maybe I'll do the C-API, too. :)
msg73290 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-16 02:28
The bulk of the C-API is in r66476. Somebody definitely needs to review
it; I mostly extracted it directly from the PEP, and I understand that's
a little different from reality here. I'll lower priority, and we can
close it after some looks at my changes. Thanks!
msg75006 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-10-20 21:15
I'm just going to close this.
History
Date User Action Args
2008-10-20 21:15:08benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg75006
2008-09-16 02:28:01benjamin.petersonsetpriority: deferred blocker -> normal
messages: + msg73290
2008-09-09 22:16:15benjamin.petersonsetpriority: critical -> deferred blocker
messages: + msg72928
2008-08-22 09:53:07pitrousettype: enhancement -> behavior
messages: + msg71737
2008-08-19 18:23:40pitrousetnosy: + pitrou
messages: + msg71457
2008-05-23 22:55:44benjamin.petersonsetmessages: + msg67272
title: Document memoryview -> Document PEP 3118
2008-04-11 20:46:57benjamin.petersoncreate